Subject: Re: bug#20979: ../lib/set-permissions.c:288:27: error: 'mode' undeclared

From: Assaf Gordon <[email-masked]>
Date: Mon, 22 Oct 2018 20:36:53 -0600

tags 20979 fixed
close 20979
stop

(triaging old bugs)

On 04/07/15 12:53 PM, Andreas Grünbacher wrote:
 > 2015-07-04 20:10 GMT+02:00 Paul Eggert <[email-masked]>:
 >> John David Anglin wrote:
>>> The following error occurs building coreutils-8.24 on 
>>> hppa2.0w-hp-hpux11.11 with gcc-5: >>>
 >>
>> Thanks for reporting that. There are some obvious typos in the
>> recent ACL-related patches when compiled on HP-UX. I installed the
>> attached  patch
>> into gnulib; can you please give it a try on coreutils 8.24? I
>> don't have access to an HP-UX box to test it myself.
>> 
 > thanks for fixing this.

On 05/07/15 04:47 AM, Andreas Grünbacher wrote:
> David,
> 
> 2015-07-05 0:40 GMT+02:00 John David Anglin <[email-masked]>:
>> In this function, "mode" needs to be "ctx->mode" and "entries" needs to be "ctx->aclv_entries".
>> It then compiles okay.
> 
> thanks, I've fixed this in gnulib. Still needs to be pulled into coreutils.
> 

marking as "fixed" and closing.

-assaf